import argparse


def load_args():
    parser = argparse.ArgumentParser()

    parser.add_argument('--epoches', type=int, default=3)
    parser.add_argument('--save_inter', type=int, default=50)
    parser.add_argument('--eval_inter', type=int, default=1)
    parser.add_argument('--noise_threshold', type=int, default=0)
    parser.add_argument('--lr', type=float, default=0.001)
    parser.add_argument('--batch_size', type=int, default=64)
    parser.add_argument('--model', type=str, default='ResNet18')
    parser.add_argument('--model_type', type=str, default='duo')
    parser.add_argument('--dataset_dir', type=str, default='data/processed_data/png_image/data_training')
    parser.add_argument('--output', type=str, default='output/out.csv')
    parser.add_argument('--save_path', type=str, default='output/best_model.pt')
    parser.add_argument('--pretrain_path', type=str, default=None)
    args = parser.parse_args()

    return args
